Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.util
Class ServicesUtils

    java.lang.Object
      org.ajax4jsf.util.ServicesUtils

Deprecated.

    @Deprecated
    public final class ServicesUtils

extends java.lang.Object

Author:
  shura

Method Summary
`static java.lang.Class<?>` | `getService(java.lang.String name)` Deprecated.
`static java.lang.Object` | `getServiceInstance(java.lang.String name)` Deprecated. Get per-context instance for service.
`static java.lang.Class<?>` | `loadClass(java.lang.ClassLoader loader, java.lang.String name)` Deprecated.
`static java.lang.Class<?>` | `loadServiceClass(java.lang.ClassLoader loader, java.lang.String name)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getService

    public static java.lang.Class<?> getService(java.lang.String name)
                                         throws java.lang.ClassNotFoundException

  Deprecated.
  Parameters:
    `name` -
  Returns:
  Throws:
    `java.lang.ClassNotFoundException`

### getServiceInstance

    public static java.lang.Object getServiceInstance(java.lang.String name)

  Deprecated.
  Get per-context instance for service.

  Parameters:
    `name` - - name ( default classname ) for service.
  Returns:
    current instance for this service.
  Throws:
    `java.lang.ClassNotFoundException`

### loadServiceClass

    public static java.lang.Class<?> loadServiceClass(java.lang.ClassLoader loader,
                                                      java.lang.String name)
                                               throws java.lang.ClassNotFoundException

  Deprecated.
  Parameters:
    `loader` -
    `name` -
  Returns:
  Throws:
    `java.lang.ClassNotFoundException`

### loadClass

    public static java.lang.Class<?> loadClass(java.lang.ClassLoader loader,
                                               java.lang.String name)
                                        throws java.lang.ClassNotFoundException

  Deprecated.
  Parameters:
    `loader` -
    `name` -
  Returns:
  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.